Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.manager
Class PortalServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.bea.netuix.servlets.manager.UIServlet
                  com.bea.netuix.servlets.manager.SingleFileServlet
                      com.bea.netuix.servlets.manager.PortalServlet

All Implemented Interfaces
  com.bea.netuix.nf.container.jsp.JspContextTreeLookup, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Direct Known Subclasses:
  PortletServlet

    public class PortalServlet

extends com.bea.netuix.servlets.manager.SingleFileServlet

Front door servlet to handle requests for portals and desktops. Requests that end in 'portalExtensions' are handed off to the `UIServlet`. The `UIControl` tree or content uri for a portal for a requested desktop is cached after being retrieved from the persistent store. Caches for user personalized desktops are flushed at the end of a user's session. Non-personalized desktops stay in the cache until either the cache expires them based on its ttl value or they are updated using the persistence API. ContentUris for portals are also cached and flushed using the aforementioned logic.

If a tree is obtained, it is handed over to the `UIServlet` to run lifecycle methods on it. If a content uri is obtained the request is forwarded to it.

See Also
  Serialized Form

Nested Class Summary
`static class` | `PortalServlet.UserCacheFlushSessionBindingListener` SessionBindingListener to flush the user cache at the end of a session.

Field Summary
`protected static PortalCustomizationManager` | `portalCustomizationManager`

Fields inherited from class com.bea.netuix.servlets.manager.SingleFileServlet
`fullPortal`

Fields inherited from class com.bea.netuix.servlets.manager.UIServlet
`KEY_CONTENT, PATH_INFO, PROFILE_ON, PROFILE_OUTPUT_FREQUENCY, SERVLET_PATH, STREAM_REQUEST_FILE, STREAMING_JSPX, STREAMING_JSPX_FILE_PARAM`

Constructor Summary
`PortalServlet()`

Method Summary
`protected com.bea.netuix.application.manager.util.CacheKey` | `createCacheKey(String _webAppName, String _portalPath, String _desktopPath, String _userName, ArrayList<Locale> _locales, boolean retrieveAdmin)` Deprecated As of 8.1 SP2, replaced by `createCacheKey()`
`protected UIControlTreeCacheData` | `createControlTreeData(byte[] controlTreeBytes)` Deprecated As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`protected byte[]` | `getCachedControlTreeBytes(com.bea.netuix.application.manager.util.CacheKey cacheKey)` Deprecated As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`protected Serializable` | `getFromTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey)` Deprecated As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`protected UIControlTreeCacheData` | `getTreeFromJspx(String jspx, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Locale locale)` Deprecated As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`void` | `init()` Initalize this servlet.
`protected void` | `init(boolean checkLicense)`
`protected void` | `injectExternalEventGenerators(com.bea.netuix.nf.UIContext jspContext, javax.servlet.http.HttpServletRequest request)` Injects ExternalEventGenerators into the UIContext if necessary.
`protected void` | `putInTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey, byte[] cacheValue)` Deprecated As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`protected void` | `putInTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey, UIControlTreeCacheData cacheValue)` Deprecated As of 8.1 SP2, replaced by methods in `SingleFileProcessor`
`protected void` | `removeFromTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey)`
`void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` service method.

Methods inherited from class com.bea.netuix.servlets.manager.UIServlet
`createJspContext, doGet, doPost, getDefaultPackage, getDefaultPageName, getTree, getTree, getTreeForUrl, getTreeForUrl, processAjaxRequest, processControlTree, setContentType`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portalCustomizationManager

    protected static PortalCustomizationManager portalCustomizationManager

Constructor Detail

### PortalServlet

    public PortalServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Initalize this servlet.

  Overrides:
    `init` in class `com.bea.netuix.servlets.manager.SingleFileServlet`
  Throws
    `javax.servlet.ServletException`

### init

    protected void init(boolean checkLicense)
                 throws javax.servlet.ServletException

  Throws
    `javax.servlet.ServletException`

### service

    public void service(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws javax.servlet.ServletException,
                        IOException

  service method.

  Overrides:
    `service` in class `com.bea.netuix.servlets.manager.SingleFileServlet`
  Parameters
    `request` - HttpServletRequest
    `response` - HttpServletResposne
  Throws
    `javax.servlet.ServletException`
    `IOException`

### injectExternalEventGenerators

    protected void injectExternalEventGenerators(com.bea.netuix.nf.UIContext jspContext,
                                                 javax.servlet.http.HttpServletRequest request)

  Injects ExternalEventGenerators into the UIContext if necessary. This overrides the method from UIServlet so that we may wire up notification delivery through the portlet eventing mechanism here.

  Overrides:
    `injectExternalEventGenerators` in class `com.bea.netuix.servlets.manager.UIServlet`

### createCacheKey

    @Deprecated
    protected com.bea.netuix.application.manager.util.CacheKey createCacheKey(String _webAppName,
                                                                                         String _portalPath,
                                                                                         String _desktopPath,
                                                                                         String _userName,
                                                                                         ArrayList<Locale> _locales,
                                                                                         boolean retrieveAdmin)

  Deprecated As of 8.1 SP2, replaced by `createCacheKey()`

### removeFromTreeCache

    protected void removeFromTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey)

### getTreeFromJspx

    @Deprecated
    protected UIControlTreeCacheData getTreeFromJspx(String jspx,
                                                                javax.servlet.http.HttpServletRequest request,
                                                                javax.servlet.http.HttpServletResponse response,
                                                                Locale locale)

  Deprecated As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

### getFromTreeCache

    @Deprecated
    protected Serializable getFromTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey)

  Deprecated As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

### createControlTreeData

    @Deprecated
    protected UIControlTreeCacheData createControlTreeData(byte[] controlTreeBytes)
                                                    throws IOException,
                                                           ClassNotFoundException

  Deprecated As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

  Throws
    `IOException`
    `ClassNotFoundException`

### getCachedControlTreeBytes

    @Deprecated
    protected byte[] getCachedControlTreeBytes(com.bea.netuix.application.manager.util.CacheKey cacheKey)

  Deprecated As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

### putInTreeCache

    @Deprecated
    protected void putInTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey,
                                             UIControlTreeCacheData cacheValue)

  Deprecated As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

### putInTreeCache

    @Deprecated
    protected void putInTreeCache(com.bea.netuix.application.manager.util.CacheKey cacheKey,
                                             byte[] cacheValue)

  Deprecated As of 8.1 SP2, replaced by methods in `SingleFileProcessor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved